net.sf.jasperreports.charts

## Interface JRHighLowPlot

- All Superinterfaces:
    java.lang.Cloneable, JRChartPlot, JRCloneable, JRTimeAxisFormat, JRValueAxisFormat
  All Known Implementing Classes:
    JRBaseHighLowPlot, JRDesignHighLowPlot, JRFillHighLowPlot

      public interface JRHighLowPlot
      extends JRChartPlot, JRTimeAxisFormat, JRValueAxisFormat

  Used only in combination with High-Low charts, this type of plot lets users customize the labels for both axes, like all the other axis-oriented plots.
  This special type of plot draws the items as vertical lines that start at the high value and go downward to the low value. On each line the plot displays by default small ticks to indicate the open and close values corresponding to the current item. To suppress these ticks, set to false the two flags available inside the plot definition: `isShowCloseTicks` and `isShowOpenTicks`.
  Version:
    $Id: JRHighLowPlot.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Ionut Nedelcu (ionutned@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getDomainAxisMaxValueExpression()`
    `JRExpression` | `getDomainAxisMinValueExpression()`
    `JRExpression` | `getRangeAxisMaxValueExpression()`
    `JRExpression` | `getRangeAxisMinValueExpression()`
    `java.lang.Boolean` | `getShowCloseTicks()`
    `java.lang.Boolean` | `getShowOpenTicks()`
    `JRExpression` | `getTimeAxisLabelExpression()`
    `JRExpression` | `getValueAxisLabelExpression()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRTimeAxisFormat

      `getOwnTimeAxisLabelColor, getOwnTimeAxisLineColor, getOwnTimeAxisTickLabelColor, getTimeAxisLabelColor, getTimeAxisLabelFont, getTimeAxisLineColor, getTimeAxisTickLabelColor, getTimeAxisTickLabelFont, getTimeAxisTickLabelMask, getTimeAxisVerticalTickLabels`

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRValueAxisFormat

      `getOwnValueAxisLabelColor, getOwnValueAxisLineColor, getOwnValueAxisTickLabelColor, getValueAxisLabelColor, getValueAxisLabelFont, getValueAxisLineColor, getValueAxisTickLabelColor, getValueAxisTickLabelFont, getValueAxisTickLabelMask, getValueAxisVerticalTickLabels`

- - ### Method Detail

    - #### getTimeAxisLabelExpression

          JRExpression getTimeAxisLabelExpression()

    - #### getValueAxisLabelExpression

          JRExpression getValueAxisLabelExpression()

    - #### getDomainAxisMinValueExpression

          JRExpression getDomainAxisMinValueExpression()

    - #### getDomainAxisMaxValueExpression

          JRExpression getDomainAxisMaxValueExpression()

    - #### getRangeAxisMinValueExpression

          JRExpression getRangeAxisMinValueExpression()

    - #### getRangeAxisMaxValueExpression

          JRExpression getRangeAxisMaxValueExpression()

    - #### getShowOpenTicks

          java.lang.Boolean getShowOpenTicks()

    - #### getShowCloseTicks

          java.lang.Boolean getShowCloseTicks()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com